Skip to content

Update an iSCSI initiator

PUT
/iscsi/initiators/{id}
curl --request PUT \
--url https://sylve.lan:8181/api/iscsi/initiators/1 \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "authMethod": "example", "chapName": "example", "chapSecret": "example", "initiatorName": "example", "nickname": "example", "targetAddress": "example", "targetName": "example", "tgtChapName": "example", "tgtChapSecret": "example" }'

Update an existing iSCSI initiator and regenerate the initiator configuration

id
required
integer
>= 1

Initiator ID

ISCSI initiator settings

Media typeapplication/json
object
authMethod
string
chapName
string
chapSecret
string
initiatorName
string
nickname
string
targetAddress
string
targetName
string
tgtChapName
string
tgtChapSecret
string
Examplegenerated
{
"authMethod": "example",
"chapName": "example",
"chapSecret": "example",
"initiatorName": "example",
"nickname": "example",
"targetAddress": "example",
"targetName": "example",
"tgtChapName": "example",
"tgtChapSecret": "example"
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Conflict

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Payload Too Large

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}